import 'dart:core';

import 'package:fis_jsonrpc/client_base.dart';


class ClientLogService extends JsonRpcClientBase {
	ClientLogService(
		String host, {
		String serviceName = "IClientLogService",
		Map<String, String>? headers,
		int? timeout,
	}) : super(
						host,
						serviceName,
						headers: headers,
						timeout: timeout,
				);

	Future<bool> writeInfoAsync(String clientDeviceId,String platform,String requestChain,String logContent) async {
		var rpcRst = await call("WriteInfoAsync", [clientDeviceId,platform,requestChain,logContent]);
		return rpcRst;
	}

	Future<bool> writeWarnAsync(String clientDeviceId,String platform,String requestChain,String logContent) async {
		var rpcRst = await call("WriteWarnAsync", [clientDeviceId,platform,requestChain,logContent]);
		return rpcRst;
	}

	Future<bool> writeErrorAsync(String clientDeviceId,String platform,String requestChain,String logContent) async {
		var rpcRst = await call("WriteErrorAsync", [clientDeviceId,platform,requestChain,logContent]);
		return rpcRst;
	}

}

