class ConfigItem {
	String? id;
	String? service;
	String? section;
	String? settingNode;
	String? settingValue;

	ConfigItem({
		this.id,
		this.service,
		this.section,
		this.settingNode,
		this.settingValue,
	});

	factory ConfigItem.fromJson(Map<String, dynamic> map) {
		return ConfigItem( 
			id: map['Id'],
			service: map['Service'],
			section: map['Section'],
			settingNode: map['SettingNode'],
			settingValue: map['SettingValue'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(id != null)
			map['Id'] = id;
		if(service != null)
			map['Service'] = service;
		if(section != null)
			map['Section'] = section;
		if(settingNode != null)
			map['SettingNode'] = settingNode;
		if(settingValue != null)
			map['SettingValue'] = settingValue;
		return map;
	}
}

class PageParams {
	int currentPage;
	int pageSize;

	PageParams({
		this.currentPage=0,
		this.pageSize=0,
	});

	factory PageParams.fromJson(Map<String, dynamic> map) {
		return PageParams( 
			currentPage: map['CurrentPage'],
			pageSize: map['PageSize'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['CurrentPage'] = currentPage;
		map['PageSize'] = pageSize;
		return map;
	}
}


