import 'dart:core';

import 'package:fis_jsonrpc/client_base.dart';
import 'package:fis_common/json_convert.dart';

import 'frontAuthorityGroups.m.dart';

class FrontAuthorityGroupsService extends JsonRpcClientBase {
	FrontAuthorityGroupsService(
		String host, {
		String serviceName = "IFrontAuthorityGroupsService",
		Map<String, String>? headers,
		int? timeout,
	}) : super(
						host,
						serviceName,
						headers: headers,
						timeout: timeout,
				) {
		/// 注册响应实体反序列化处理器
		FJsonConvert.setDecoder((map) => FrontAuthorityGroupInfo.fromJson(map));
	}

	Future<List<FrontAuthorityGroupInfo>> getNeedToDisplayAuthorityGroups(String sessionId) async {
		var rpcRst = await call("GetNeedToDisplayAuthorityGroups", sessionId);
		var result = (rpcRst as List).map((e)=>FrontAuthorityGroupInfo.fromJson(e as Map<String, dynamic>)).toList();
		return result;
	}

}

