import 'dart:core';

import 'package:fis_jsonrpc/client_base.dart';
import 'package:fis_common/json_convert.dart';

import 'identityApply.m.dart';

class IdentityApplyService extends JsonRpcClientBase {
	IdentityApplyService(
		String host, {
		String serviceName = "IIdentityApplyService",
		Map<String, String>? headers,
		int? timeout,
	}) : super(
						host,
						serviceName,
						headers: headers,
						timeout: timeout,
				) {
		/// 注册响应实体反序列化处理器
		FJsonConvert.setDecoder((map) => IdentityApplyStateDTO.fromJson(map));
	}

	Future<List<IdentityApplyStateDTO>> getIdentityApplys(TokenRequest request) async {
		var rpcRst = await call("GetIdentityApplys", request);
		var result = (rpcRst as List).map((e)=>IdentityApplyStateDTO.fromJson(e as Map<String, dynamic>)).toList();
		return result;
	}

	Future<bool> applyFor(ApplyForRequest request) async {
		var rpcRst = await call("ApplyFor", request);
		return rpcRst;
	}

}

