import 'package:fis_jsonrpc/utils.dart';

class BaseDTO {
	DateTime? createTime;
	DateTime? updateTime;

	BaseDTO({
		this.createTime,
		this.updateTime,
	});

	factory BaseDTO.fromJson(Map<String, dynamic> map) {
		return BaseDTO( 
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(createTime != null)
			map['CreateTime'] = JsonRpcUtils.dateFormat(createTime!);
		if(updateTime != null)
			map['UpdateTime'] = JsonRpcUtils.dateFormat(updateTime!);
		return map;
	}
}

class RegionDTO extends BaseDTO{
	String? regionVersion;
	String? languageType;
	String? reginData;

	RegionDTO({
		this.regionVersion,
		this.languageType,
		this.reginData,
		DateTime? createTime,
		DateTime? updateTime,
	}) : super(
			createTime: createTime,
			updateTime: updateTime,
		);

	factory RegionDTO.fromJson(Map<String, dynamic> map) {
		return RegionDTO( 
			regionVersion: map['RegionVersion'],
			languageType: map['LanguageType'],
			reginData: map['ReginData'],
			createTime: map['CreateTime'] != null ? DateTime.parse(map['CreateTime']) : null,
			updateTime: map['UpdateTime'] != null ? DateTime.parse(map['UpdateTime']) : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(regionVersion != null)
			map['RegionVersion'] = regionVersion;
		if(languageType != null)
			map['LanguageType'] = languageType;
		if(reginData != null)
			map['ReginData'] = reginData;
		return map;
	}
}

class GetRegionsRequest {
	String? version;
	String? languageType;

	GetRegionsRequest({
		this.version,
		this.languageType,
	});

	factory GetRegionsRequest.fromJson(Map<String, dynamic> map) {
		return GetRegionsRequest( 
			version: map['Version'],
			languageType: map['LanguageType'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(version != null)
			map['Version'] = version;
		if(languageType != null)
			map['LanguageType'] = languageType;
		return map;
	}
}



