import 'dart:core';

import '../client_base.dart';

class SMSService extends JsonRpcClientBase {
  SMSService(
    String host, {
    String serviceName = "ISMSService",
    Map<String, String>? headers,
    int? timeout,
  }) : super(
          host,
          serviceName,
          headers: headers,
          timeout: timeout,
        );

  Future<bool> sendMessage(List<String> mobiles, String template) async {
    var rpcRst = await call("SendMessage", [mobiles, template]);
    return rpcRst;
  }

  Future<bool> checkVerificationCode(
      String userPhone, String verifyCode) async {
    var rpcRst = await call("CheckVerificationCode", [userPhone, verifyCode]);
    return rpcRst;
  }
}
