import 'dart:core';

import '../client_base.dart';

class ServerLogService extends JsonRpcClientBase {
  ServerLogService(
    String host, {
    String serviceName = "IServerLogService",
    Map<String, String>? headers,
    int? timeout,
  }) : super(
          host,
          serviceName,
          headers: headers,
          timeout: timeout,
        );

  Future<bool> writeInfoAsync(String serviceName, String module,
      String requestChain, String logContent) async {
    var rpcRst = await call(
        "WriteInfoAsync", [serviceName, module, requestChain, logContent]);
    return rpcRst;
  }

  Future<bool> writeWarnAsync(String serviceName, String module,
      String requestChain, String logContent) async {
    var rpcRst = await call(
        "WriteWarnAsync", [serviceName, module, requestChain, logContent]);
    return rpcRst;
  }

  Future<bool> writeErrorAsync(String serviceName, String module,
      String requestChain, String logContent) async {
    var rpcRst = await call(
        "WriteErrorAsync", [serviceName, module, requestChain, logContent]);
    return rpcRst;
  }
}
