enum UploadDataType {
	Base64String,
	ByteArray,
}

class StorageFileInfo {
	UploadDataType uploadDataCategory;
	List<int>? fileData;
	String? fileBase64String;
	String? fileName;

	StorageFileInfo({
		this.uploadDataCategory=UploadDataType.Base64String,
		this.fileData,
		this.fileBase64String,
		this.fileName,
	});

	factory StorageFileInfo.fromJson(Map<String, dynamic> map) {
		final fileDataData = map['FileData'];
		return StorageFileInfo( 
			uploadDataCategory: UploadDataType.values.firstWhere((e) => e.index == map['UploadDataCategory']),
			fileData: fileDataData != null ? (fileDataData as List).map((e) => e as int).toList(): null,
			fileBase64String: map['FileBase64String'],
			fileName: map['FileName'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		map['UploadDataCategory'] = uploadDataCategory.index;
		if(fileData != null)
			map['FileData'] = fileData;
		if(fileBase64String != null)
			map['FileBase64String'] = fileBase64String;
		if(fileName != null)
			map['FileName'] = fileName;
		return map;
	}
}


